Docs

Get Content

GET /content

GET/content

Returns all content items for the event, each with its activity, attached files and the surface blocks where it is scheduled. Requires the Event Content Management Admin permission.

Response

Type: GetContentResponse[]

GetContentResponse

FieldTypeDescription
iduuid
namestring| null
descriptionstring| null
activityGetContentResponseActivityMin
filesGetContentResponseFile[]| null
scheduleGetContentResponseContentBlock[]| null

GetContentResponseActivityMin

FieldTypeDescription
iduuid
namestring| null

GetContentResponseFile

FieldTypeDescription
iduuid
namestring| null
statusstring| null

GetContentResponseContentBlock

FieldTypeDescription
iduuid
surfaceGetContentResponseContentBlockContentSurface
startTimedate-time| null
endTimedate-time| null

GetContentResponseContentBlockContentSurface

FieldTypeDescription
iduuid
namestring| null